RARP(8)

NAME
rarp - manipulate the system RARP table

SYNOPSIS
rarp [-v] [-t type] -a [hostname]
rarp [-v] -d hostname ...
rarp [-v] [-t type] -s hostname hw_addr

DESCRIPTION
Rarp manipulates the kernel's RARP table in various ways. The primary options are clearing an address mapping entry and manually setting up one. For debugging purposes, the arp program also allows a complete dump of the RARP table.

OPTIONS

-v  Tell the user what is going on by being verbose.

-t type
    When setting or reading the RARP table, this optional parameter tells rarp which class of entries it should check for. The default value of this parameter is ether (i.e. hardware code 0x01 for IEEE 802.3 10Mbps Ethernet. Other values might include network technologies such as AX.25 (ax25) and NET/ROM (netrom).

-a [hostname]
    Shows the entries of the specified hosts. If the hostname parameter is not used, all entries will be displayed.

-d hostname
    Remove the entrie(s) of the specified host. This can be used if the indicated host is brought down, for example.

-s hostname hw_addr
    Create an RARP address mapping entry for host hostname with hardware address set to hw_addr class, but for most classes one can assume that the usual presentation can be used. For the Ethernet class, this is 6 bytes in hexadecimal, separated by colons.

WARNING
Some systems (notably older Sun's) assume that the host replying to a RARP query can also provide other remote boot services. Therefore never gratuitously add rarp entries unless you wish to meet the wrath of the network administrator.

FILES
/proc/net/rarp,

AUTHORS
Ross D. Martin, <martin@trcsun3.eas.asu.edu>
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>